image: node:latest

variables:
  GIT_SUBMODULE_STRATEGY: recursive

test:
  before_script:
    - apt-get update -qq && apt-get install -y -qq curl hugo
    - curl https://get.volta.sh | bash
    - npm install
    - cd themes/avian 
    - npm install
    - cd ../../
  script:
    - hugo
  except:
    variables:
      - $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH

pages:
  before_script:
    - apt-get update -qq && apt-get install -y -qq curl hugo
    - curl https://get.volta.sh | bash
    - npm install
    - cd themes/avian 
    - npm install
    - cd ../../
  script:
    - hugo
  artifacts:
    paths:
      - public
  only:
    variables:
      - $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
